Summary:       Tools to improve scripting in HA environments
Name:          hatools
Version:       2.10
Release:       2.8
License:       GPL
Group:         Applications/System
Source0:       http://www.fatalmind.com/software/%{name}/%{name}-%{version}.tar.gz
URL:           http://www.fatalmind.com/software/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ksh


%description
The HA-Tools provide programs to improve shell scripting in High Availability
environments. Halockrun implements locking in shell scripts. Its typical usage
is to prevent cronjobs from running simultanously. Hatimerun provides a timeout
mechanism which can be used from shell scripts.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%check
/bin/ksh test.sh


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/halockrun
%{_bindir}/hatimerun
%{_mandir}/man1/halockrun.1*
%{_mandir}/man1/hatimerun.1*


%changelog
